Skip to main content

Crypto Deposit Declarations

Due to travel rule regulations, users must declare the source of their crypto deposits. The balance will not be reflected to your wallet unless declaration approval is provided. These endpoints allow you to list and confirm crypto deposit declarations.

For all transactions related to the private endpoint, you must authorize before sending your request.
For more information you can check our Authentication V1 article.

GET /api/v1/crypto-deposit-declarations/confirm

NameTypeConstraints / DefaultDescription
statusarray[enum Confirmed|Pending]Default: Confirmed, Pending • UnknownMultiple: ...&status;=Confi rmed&status;=Pending
pageinteger>= 1Number of pages
pageSizeinteger1..100Page size (max 100)

Request Example:
GET /api/v1/crypto-deposit-declarations?page=1&pageSize=20&status=Confirmed&status=Pending

[
{
"cryptoDepositDeclarationId": 5555555,
"createdAt": "20**-**-**",
"status": "Pending",
"confirmedAt": null,
"confirmedBy": null,
"firstName": null,
"lastName": null,
"amount": 0.8000000000000000,
"symbol": "XRP",
"address": "r*****************************",
"memoTag": "55*******",
"lightningInvoice": null
},
{
"cryptoDepositDeclarationId": 5555555,
"createdAt": "20**-**-**",
"status": "Confirmed",
"confirmedAt": "20**-**-**",
"confirmedBy": "*******",
"firstName": "First Name",
"lastName": "Last Name",
"amount": 0.1,
"symbol": "BTC",
"address": "b*****************************",
"memoTag": null,
"lightningInvoice": null
}
]

Expected Status Codes:

HTTPMessage
200[]
400page must be greater than 0
400pageSize must be between 1 and 100
400status must not contain Unknown

POST /api/v1/crypto-deposit-declarations/confirm

FieldTypeRules
cryptoDepositDeclarationIdlongID of the record to be approved
firstNamestring

If isSelfSender = false, this field is required;
if isSelfSender = true, the information of the logged-in user is used.

lastNamestring

If isSelfSender = false, this field is required;
if isSelfSender = true, the information of the logged-in user is used.

isSelfSenderboolean

If true, the name/surname sent with the request is ignored;
the information of the logged-in user is used.

descriptionstring20–100 characters are allowed.
exchangeIdInt


exchangeOtherNamestring


AddressTypestring“Exchange”, “IndividualWallet”
warning

You can learn how to fill in the exchangeId parameters by visiting the Crypto Exchanges page.

Request Body 1 (Self Sender):

{
"cryptoDepositDeclarationId": {id},
"firstName": "Your First Name",
"lastName": "Your Last Name",
"isSelfSender": true,
"description": "20-100 Characters are allowed",
"exchangeOtherName": "Exchange Name",
"addressType": "Exchange"
}

Request Body 2 (Other Sender):

{
"cryptoDepositDeclarationId": {id},
"firstName": "First Name",
"lastName": "Last Name",
"isSelfSender": false,
"description": "20-100 Characters are allowed",
"exchangeId": 9,
"addressType": "Exchange",
}

Request Body 3 (Individual Wallet):

{
"cryptoDepositDeclarationId": {id},
"firstName": "",
"lastName": "",
"isSelfSender": true,
"description": "Your description is here",
"exchangeId": null,
"exchangeOtherName": null,
"addressType": "IndividualWallet"
}

Expected Status Codes:

HTTPMessage
200

{
"success": true,
"message": "",
"code": 0
}

400firstName and lastName required when isSelfSender is false
400description field must be between 20 and 100 characters long
400addressType must be provided.
400Either exchangeId or exchangeOtherName must be provided.
400IndividualWallet addressType cannot be associated with an exchange
400Only one of exchangeId or exchangeOtherName must be provided.
400exchangeId not supported.
400exchangeOtherName cannot exceed 200 characters
400

{
"success": false,
"message": "Missing registration steps must be completed",
"code": 8039
}

401Unauthorized
404Not Found
422Crypto deposit declaration already confirmed
500An error occurred